Subject: Re: [bug#76151] (no subject)

From: Greg Hogan <[email-masked]>
Date: Fri, 7 Mar 2025 19:07:58 -0500

On Fri, Mar 7, 2025 at 5:32 PM Aaron Covrig via Guix-patches via
<[email-masked]> wrote:
>
> I just noticed that the latest version of the manual drops the package
> number branch definitions; I'm not sure if this was moved to a
> different section now; accidentally deleted; or if it is going to be
> dropped as a requirement. See:
> https://guix.gnu.org/manual/devel/en/html_node/Submitting-Patches.html
> https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html

Yes, "manual" is from the last release (in 2022) and "manual/devel" is
up-to-date.

I was going to suggest that we look into why there are so many
dependent packages, and I did, and it is cmake-bootstrap, which I am
working on updating in #70031 and in an imminent c++ branch. So I will
integrate this there, and we should pin cmake to this version of
jsoncpp.